Subject: RE: [nemo] Multiple Egress vs multihoming

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Sat, 3 May 2003 12:51:36 +0100

Hi Julien,

I'll be away from my mail fo 2 weeks. Sorry about that.
> >
> 
>   I see. Now this part is clear for me.
> 
> 
>   In the same way and to clean my Shinkansen & DoubleBed graphicals:
> 
>     - In the previous graphicals and in my mind it was:
> 
>         P1
>        --->
> 
>       The Mobile Network Prefix which is in Prefix Binding
>       Update. [Too complex to understand in my graphics]
> 
>     - Now it is:
> 
>         P1
>       <---
> 
>       The Mobile Network Prefix announced in the Mobile Network by the
>       Mobile Router.
> 

>           P1
> 
>    Example with one Egress Router. [Rarely used but... It exists]
> 
> 
>           P2        _____
>     _   <---    _  |     |
>    |_|-|  _  |-|_|-|     |
>     _  |-|_|-|     |_____|-|        _
>    |_|-|     |             |  _  |-|_|
>         <---               |-|_|-|
>           P1                     |
> 
> 
>    MNNs  MR    AR  Internet  AR     HA2
> 
>  [This example is maybe not a good one because the MR have two
>   Ingress Addresses and so the Nemo protocol must deal with]  
> [Maybe too particular]
> 
> > >    In all this examples the HA will have two CoAs for the same 
> > > prefix in one HA. According with your definition they are Tarzan 
> > > cases.
> >
> > Shinkansen and doubleBed are Tarzans by definition.
> 
>   Aarrgh ! My comprehension ! Example :
> 
>   [HAx is the Home Agent for the MRx Mobile Router]
> 
>           P              AR    HA1
>         <---
>          MR1              _  |
>           _  |         |-|_|-|  _
>     _  |-|_|-|  _____  |     |-|_|
>    |_|-|     |-|     |-|
>     _  |       |     |
>    |_|-|  _  |-|_____|-|        _
>        |-|_|-|         |  _  |-|_|
>              |         |-|_|-|
>                              |
>    MNNs  MR2   Internet
>         <---
>           P              AR     HA2
> 
> 
>   This case is Shinkansen:
>   [The same Mobile Network Prefix is advertise to the MNNs]
> 
>   But a JetSet case too: [Not a Tarzan case]
>   [Multiple HAs for CoAs of a same Mobile Network Prefix]
> 
>   But it is just a detail.

You right :)
 
 ....

> 
>   But I think the management of Multiple CoAs per Network 
> Prefix may provide to Nemo some interesting Multi-Homing 
> benefits like :
> 
>   o Fault-Tolerance/Redundancy.
>   o Load-Sharing.
>   o Policy Management.
> 

Absolutely. 

>   And it is possible to deploy because [in Nemo Basic 
> Support] all traffic past in tunnel(s) between HA(s) and 
> MR(s) and so the traffic in this tunnel can be policed as you 
> wish. [You don't touch at Correspondant Node Mobile Ipv6 Stack].
> 
>   In Mobile Ipv6 is harder to realize/deploy.
> 
>   But I don't forget the Pandora's box style of Multi-Homing.
> 
> </nemo-multi-homing>
> 
> > Multihoming is not trivial, we'll have to decide whether to 
> amend the 
> > requirements draft for basic about that.
> 
>   So Nemo Basic Support can support only the Redundancy 
> Multi-Homing benefit; or more benefits [Load-Sharing, Policy] 
> and become more complex. [Too complex for a Basic Support ?]
> 
>   Maybe the design team have a begin of answer.

Problem is that the design team implements the requirements. We must
make the reqs clear cut for the design team to operate.

...

>   Yes, this definition provide misunderstanding, I rewrite :
> 
>   y: 0: A single Mobile Network Prefix is announced by Mobile 
> Router(s).
>      1: Muliple Mobile Network Prefix are announced by Mobile 
> Router(s).
> 
>   or the Chan Wah Ng's one is better [more general]:
> 
>   y: 0: A single prefix is advertise to the MNNs
>      1: More than one prefices is advertised to the MNNs
> 

I actually like that one very much...

>   or maybe your definition is more understandable and the good one:
> 
>   y: 0: Same Mobile Network Prefix for Mobile Router of the same link.
>      1: Differents Mobile Network Prefix for Mobile Router of 
> the same link.
> 
>   or I really misunderstand. [It is an another possibility]
> 
>   So an interresting case to clear this point :
> 
>      _     p1 MR1                   AR1   HA1
>     |_|-| <--_     ISP1 ________
>      _  |---|_|--------|        | |        _
>     |_|-|              |        |-|  _  |-|_|
>          \ <--         |        | |-|_|-|
>   Intern  \_ p1        |        |       |
>   Router  |_|          |Internet|
>           /  p2        |        |
>      _   / <--         |        | |        _
>     |_|-|    _         |        |-|  _  |-|_|
>      _  |---|_|--------|________| |-|_|-|
>     |_|-| <--      ISP2         ISP3    |
>            p2 MR2
>    MNN                              AR2   HA2

Note that one assumption is that a MN is a stub. So, MR1 will not
advertise p2 even if it gets it from Intern Router, whatever. So Intern
router just allows a shortcut when a node from p1 talks to a node from
p2, but otherwise, this is 2 isolated MNets of a no-multihoming case,
don't you think?

> 
>   This case is a DoubleBed case because if the ISP1 link fail 
> the problem is:
> 
>   How past the p1 prefix's packets through the MR2_HA2 tunnel 
> then through the AR2 link with the Cerberus Ingress Filtering 
> made by ISP3.
> 
>   [An example of solution is in [2] [Section 3.2.2., Using 
> Alternate Mobile Router]]
> 
>   So my preferred definition is the Chan Wah Ng's one:
> 
>   y: 0: A single prefix is advertise to the MNNs
>      1: More than one prefices is advertised to the MNNs
> 
> > I do agree with your vision. My view is a summarization to focus on 
> > where the problems are in my own view. We may start your standpoint 
> > and see what are the meaningful case between the 8 
> combinations. For 
> > instance (0,0,1) is a trivial extension of (0,0,0).
> 
>   I think you want to write :
> 
>   "For instance (1,0,0) is a trivial extension of (0,0,0)"
> 

Actually both are true :)

> > Like this, we'll find my 4 problems, and other if I missed some? Do 
> > you want to pursue that way?  Pascal
> 
>   So, is it enough ?
> 
>   [Two days of reflection later...]
> 
>    So the main goal of a taxonomy is to define a class of 
> problem, name it, and permit to say after: The solution for 
> the problem <name-of-problem> is ...

That was the goal. Identify separate problems and fix them individually.

> 
>   With this four classes can we say the solution for the 
> Tarzan problem is ... ? Difficult because - for example - 
> this two cases need differents solutions:
> 
>     - One "Multi-egress-interfaced" MR.
> 
>            P         _____
>      _    <--    _  |     |
>     |_|-|  _  |-|_|-|     |-|        _
>      _  |-|_|=|     |_____| |  _  |-|_|
>     |_|-|     |             |-|_|-|
>                                   |
> 
>     MNNs   MR   AR  Internet  AR    HA
> 

This is a Tarzan, right?

> 
>    - Two MR in multi-site case.
> 
>             P
>           <---
>            _         _____
>      _  |-|_|-|  _  |     |
>     |_|-|     |-|_|-|     |-|        _
>      _  |     |     |_____| |  _  |-|_|
>     |_|-|  _  |             |-|_|-|
>         |-|_|-|                   |
> 
>           <---
>             P
> 
>     MNNs   MR   AR  Internet  AR    HA

And this is Shinkansen, and a Tarzan in this case. My point is that
hopefully (with a good design approach) x and y should be orthogonal and
the case you mention will need the solution for Tarzan and Shinkansen.

> 
>   And this two examples are Shinkansen too. So it is why 
> [maybe] an another level [w] would be appreciable. What is 
> your position on this specific example ?
> 
>   Well, I think you provide elsewhere the good taxonomy. 
> Thanks you for your judicious and constructives remarks.
> 
> 
>                                             -- Julien
> 
> 
> [1] http://www.nal.motlabs.com/pipermail/nemo/2003-April/000567.html
> [2] http://www.psl.com.sg/draft-ng-nemo-multihoming-issues-00.txt
>

---

From: Julien Charbon <[email-masked]>
Date: Tue, 6 May 2003 21:24:12 +0900

Hi Pascal, hi all,

> make the reqs clear cut for the design team to operate.

  I see that you mean.

> p2, but otherwise, this is 2 isolated MNets of a no-multihoming case,

  To be clear the Intern Router send p1's RA by his north interface
and p2's by his south interface. The goal of this kind of
configuration is to separate the two subnets p1 and p2.
[The network administrator don't want multi-addressed node]

  Now, in Nemo-Terminology is a Multi-Homing case :

,----[ draft-ernst-nemo-terminology-01.txt ]
| Multihomed Mobile Network
|     From 3.4.1, a mobile network is multihomed when either: [...]
|         - there are more than one MR in the mobile network
`----

but this definition can be changed.

 And that's append when MR1 fail down ?

  When a IPv6 node receive several Router Advertisement it manage
a Default Router List like this :

,----[ RFC-2461 ]
| 6.3.4. Processing Received Router Advertisements
|
|  [...] On receipt of a valid Router Advertisement, a host extracts the
| source address of the packet and does the following:
|
|     * If the address is not already present in the host's Default
|       Router List [...] create a new entry in the list [...]
|
|  To limit the storage needed for the Default Router List, [...] a host
| MUST retain at least two router addresses and SHOULD retain more.
|                      ^^^
`----

  And thus Node choose a Default Router in the list:

,----[ RFC-2461 ]
| 6.3.6. Default Router Selection
|
| [...] The policy for selecting routers from the Default Router List is as
| follows:
|
|      1) Routers that are reachable or probably reachable.[...]
|      2) When no routers on the list are known to be reachable or
|         probably reachable, routers SHOULD be selected in a round-robin
|         fashion, [...]
`----

  So after a TimeOut the p1 prefixed nodes send theirs packets to the
Intern Router, who forwards this paquets to MR2, who tunnels this
packet to HA2 who is embarrassed [if a HA can be embarrassed]
because ISP3 refuse to forward p1 prefix.

 I think this kind of problem is a [Nemo] Site Multi-Homing one. But
there is nor Multi6-Terminology, and neither Nemo-Multi6-Terminology so
it is IMHO.

> >     MNNs   MR   AR  Internet  AR    HA

 Yes, this two examples are Tarzan AND Shinkansen.
[The first one is a very trivial Shinkansen].

> the case you mention will need the solution for Tarzan and Shinkansen.

  Now, I see totally your point of view.

 Can you give me some solution, or outlined solution that provided good
designed approach ? [It is not a trap-question, I really want to learn
all point of view on this problematic]

  IMHO, I think is too earlier for this affirmation, but maybe I'm
lack of expertise in this domain and I waiting to be convince.

                        Thanks for all yours explanations and your patience.

                                               -- Julien